Legrand / Raritan Xerus™ JSON-RPC API for Remote Access Devices like KX4-101, KX3G2

Loading...
Searching...
No Matches
Public Attributes | List of all members
radm::Device::Metadata Struct Reference

## Public Attributes
string | serialNumber
| Device serial number.
string | product
| Device product family.
string | model
| Device model.
string | fwVersion
| Device firmware version (if applicable)
string | hwVersion
| Device hardware version (if applicable)
string | macAddress
| Device MAC address (if applicable)
string | privilegeArg
| Privilege argument for this device in case a privilege is required to access it.
string | uid
| Unique identifier for this device.
int | idx
| Index of the device in its respective list.

## Detailed Description

Definition at line 17 of file Device.idl.

## Member Data Documentation

## ◆ fwVersion

string radm::Device::Metadata::fwVersion

Device firmware version (if applicable)

Definition at line 21 of file Device.idl.

## ◆ hwVersion

string radm::Device::Metadata::hwVersion

Device hardware version (if applicable)

Definition at line 22 of file Device.idl.

## ◆ idx

int radm::Device::Metadata::idx

Index of the device in its respective list.

Definition at line 26 of file Device.idl.

## ◆ macAddress

string radm::Device::Metadata::macAddress

Device MAC address (if applicable)

Definition at line 23 of file Device.idl.

## ◆ model

string radm::Device::Metadata::model

Device model.

Definition at line 20 of file Device.idl.

## ◆ privilegeArg

string radm::Device::Metadata::privilegeArg

Privilege argument for this device in case a privilege is required to access it.

Definition at line 24 of file Device.idl.

## ◆ product

string radm::Device::Metadata::product

Device product family.

Definition at line 19 of file Device.idl.

## ◆ serialNumber

string radm::Device::Metadata::serialNumber

Device serial number.

Definition at line 18 of file Device.idl.

## ◆ uid

string radm::Device::Metadata::uid

Unique identifier for this device.

Definition at line 25 of file Device.idl.

The documentation for this struct was generated from the following file:

- Device.idl